Error when running python functions / plugins
Status: Rejected

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 16183

Description

Hi, I am having trouble running any python plugin in 1.9.0-Master Master, 51f2383 on Ubuntu 12.10. As this seems to affect all plugins,

including functions from the vector menu, and because the same plugins are running fine in QGIS 1.8, I am reporting it here. They all have

the following error code in common:

AttributeError: 'QgsFields' object has no attribute 'items'

Below are just two examples or error message for the polygon centroids function in the vector menu and the table manager plugin:

Opening Table manager:

----------------------------------

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/home/paulo/.qgis//python/plugins/tablemanager/tableManager_plugin.py", line 98, in run

    dialoga = tableManager_gui.TableManager(self.iface)

  File "/home/paulo/.qgis//python/plugins/tablemanager/tableManager_gui.py", line 152, in init

    for k,  field in self.providerFields.items():

AttributeError: 'QgsFields' object has no attribute 'items'

Python version:

2.7.3 (default, Sep 26 2012, 21:53:55)

[GCC 4.7.2]

QGIS version:

1.9.0-Master Master, 51f2383

Running polygon centroids tools

----------------------------------------------

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/usr/local/qgis_dev/share/qgis/python/plugins/fTools/tools/doGeometry.py", line 336, in run

    success = self.polygon_centroids()

  File "/usr/local/qgis_dev/share/qgis/python/plugins/fTools/tools/doGeometry.py", line 605, in polygon_centroids

    vprovider.select( allAttrs )

AttributeError: 'QgsVectorDataProvider' object has no attribute 'select'
Python version:

2.7.3 (default, Sep 26 2012, 21:53:55)

[GCC 4.7.2]

QGIS version:

1.9.0-Master Master, 51f2383

Related issues:

Duplicates QGIS Application - Bug report # 7055: All plugins report python er... Closed 2013-01-27

History

#1 - 2013-02-06 01:41 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Rejected

In qgis master vector APIs have been changed, the plugins must catch up, so you need to file tickets in the proper plugin page and/or notice the plugin

developers.

https://issues.qgis.org/projects

#2 - 2013-02-06 01:43 AM - Jürgen Fischer

- Resolution changed from invalid to duplicate

#3 - 2013-02-06 06:33 AM - pvanbosgeo -

Is ftools not part of the core now? It is in any case not on the page https://issues.qgis.org/projects/qgis-user-plugins nor on https://issues.qgis.org/projects

#4 - 2013-02-06 07:34 AM - Jürgen Fischer

pvanbosgeo - wrote:

Is ftools not part of the core now? It is in any case not on the page https://issues.qgis.org/projects/qgis-user-plugins nor on 

https://issues.qgis.org/projects

ftools is a core plugin.
